Thank you for your response! To answer your question, I know the kernel already supports the card via the iwl3945 driver, but I have been having a lot of trouble trying to get it configured to my university's WLAN with the specs: WPA w/ TKIP, EAP type of PEAP using MSCHAP v2 for authentication, and "IPS SERVIDORES" for the Trusted Root Certificate. I went through several configurations, as per documentation for wpa_supplicant, turning on debug mode, but I have had no luck. (IMHO, having upgraded from Ubuntu Edgy to Intrepid Ibex, I have found the wireless support to be worse)

So, I heard that people were having more luck using ndiswrapper, so I thought I'd pursue this route instead of banging my head against the wall for days trying to resolve a problem I could possibly get resolved w/ ndiswrappers.

--john

On Jan 7, 2009 3:04am, Hin-Tak Leung <hintak_leung@yahoo.co.uk> wrote:
> Forgive me for asking the obvious - I happened to have read the in-kernel intel driver code recently, and I believe the 3945 is supported by the linux kernel natively by an in-kernel-tree driver. why do you need to use ndiswrapper?
>
>
>
>
>
> have a look at http://linuxwireless.org/en/users/Drivers  - I just checked, it is there.
>
>
>
>
>
> --- On Wed, 7/1/09, John Sasso jsassojr@gmail.com> wrote:
>
>
>
>
>
> > From: John Sasso jsassojr@gmail.com>
>
>
> > Subject: [Ndiswrapper-general] Supported driver for 3945ABG
>
>
> > To: ndiswrapper-general@lists.sourceforge.net
>
>
> > Date: Wednesday, 7 January, 2009, 4:31 AM
>
>
> > Hello,
>
>
> >
>
>
> > For my question, normally I would go to:
>
>
> >
>
>
> > http://ndiswrapper.sourceforge.net/wiki/index.php/List
>
>
> >
>
>
> > but I end up going to a blank page w/ URL:
>
>
> >
>
>
> > http://ndiswrapper.sourceforge.net/joomla/
>
>
> >
>
>
> > Anyways, I have a Compaq nc8430 laptop w/ Intel
>
>
> > Pro/Wireless 3945ABG
>
>
> > card, and I installed XUbuntu 8.10 (Intepid Ibex) on it.
>
>
> > From the
>
>
> > Synaptic package manager I installed:
>
>
> >
>
>
> > ndiswrapper-utils-1.9
>
>
> > ndiswrapper-common
>
>
> > ndisgtk
>
>
> >
>
>
> > which, according to the version info, correspond to
>
>
> > ndiswrapper 1.52.
>
>
> > (For anyone who asks, I did try to install 1.53 from
>
>
> > download, but ended
>
>
> > up with a slew of errors during make; the solution, I read,
>
>
> > was to
>
>
> > download & install the above packages).
>
>
> >
>
>
> > QUESTION:  I went to Intel's website to download the
>
>
> > driver for the
>
>
> > Intel Pro/Wireless card for Windows-XP Professional, the
>
>
> > latest
>
>
> > available of which is  12.2.0.0_X_Drivers.zip (which
>
>
> > contains NETw5x32.inf).
>
>
> >      For my system specs above, is this supported by
>
>
> > ndiswrapper 1.52?
>
>
> > If not, which version of the drivers should I get?
>
>
> >
>
>
> > Thanks!
>
>
> >
>
>
> >               --john
>
>
> >
>
>
> > ------------------------------------------------------------------------------
>
>
> > Check out the new SourceForge.net Marketplace.
>
>
> > It is the best place to buy or sell services for
>
>
> > just about anything Open Source.
>
>
> > http://p.sf.net/sfu/Xq1LFB
>
>
> > _______________________________________________
>
>
> > Ndiswrapper-general mailing list
>
>
> > Ndiswrapper-general@lists.sourceforge.net
>
>
> > https://lists.sourceforge.net/lists/listinfo/ndiswrapper-general
>
>
>
>
>
>
>
>
>
>
>
>